package com.hungraim.ltc.pojo.entity.account;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
public class ChDisabDetailAccountsResp implements Serializable {

    /**
     * 结算月份
     */
    private String accountsTime;

    /**
     * 应拨总费用
     */
    private String accountsAllCost;

    private String accountsOverallCost;

    private String accountsPersonalCost;
    /**
     * 服务方式
     */
    private String  modeName;

    private String empName;

    /**
     * 费用开始日期
     */
    private String  accountsStartTime;
    /**
     * 费用结束日期
     */
    private String accountsEndTime;

    private String medicalArea;

    private String srvOrganName;

    private String srvOrganId;

    private String realName;

    private String taskDetailId;

    private String deductionAmount;

    private String reissueAmount;

    private String accountsDetailId;

    private String disabInfoId;

    private Integer status;

    private static final long serialVersionUID = 1L;
}