package com.hungraim.ltc.pojo.entity.account;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zwl
 * @ClassName ChDisabFreeRdInfo
 * @description
 * @date 2023/2/28 8:43
 **/

@Data
@TableName("CH_DISAB_FREE_RD_INFO")
@KeySequence("SEQ_CH_DISAB_FREE_RD_INFO")
public class ChDisabFreeRdInfo implements Serializable {
    @TableId(value = "FREE_RD_ID", type = IdType.INPUT)
    private Long freeRdId;

    private Long accountsDetailId;

    private Long accountsId;



    private Date creationTime;


    private int dealType;

    private BigDecimal amountOfMoney;

    private String remarks;


}
