package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author zwl
 * @ClassName ChDisableExit
 * @description
 * @date 2023/3/10 16:20
 **/
@Data
@TableName("CH_DISABLE_EXIT")
@KeySequence(value = "SEQ_CH_DISABLE_EXIT")
public class ChDisableExit {

    @TableId(value = "DISAB_EXIT_ID", type = IdType.INPUT)
    private Integer disabExitId;

    private Integer disabInfoId;

    private Integer srvOrganId;

    private Integer exitReasonId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date exitTime;

}
