package com.hungraim.ltc.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 系统资源表，用于权限验证
 *
 * @author hubin
 */
@Data
@TableName("LTC_RESOURCE")
@KeySequence("SEQUENCE_RESOURCE_ID")
public class SystemResource {

    @TableId(value = "RESOURCE_ID", type = IdType.INPUT)
    private Long resourceId;
    private String resourceName;
    private String resourceUrl;
    private String method;
    private String resourceType;
    private Long parentId;
    private String resourceIcon;
    private Date createdTime;

    @TableField(exist = false)
    private List<Long> roleIds;

}

