package com.hungraim.ltc.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author hubin
 */
@Data
@NoArgsConstructor
@TableName("LTC_USER")
@KeySequence("SEQUENCE_USER_ID")
public class SystemUser {

   // @TableId( type = IdType.AUTO)
   @TableId(value = "USER_ID", type = IdType.INPUT)
    private Long userId;
    private String account;
    private String password;
    private String realName;
    private String avatar;
    private String gender;
    private Integer userStatus;
    private Date createdTime;
    private Date updatedTime;
    private Long organId;
    private Long srvOrganId;

}
