package com.hungraim.ltc.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.system.SystemInterface;
import com.hungraim.ltc.pojo.entity.system.SystemResource;
import com.hungraim.ltc.pojo.entity.system.SystemResourceinterface;
import com.hungraim.ltc.pojo.entity.system.SystemRoleResource;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * 查询所有资源对应的接口
 * @return list
 */
@Mapper
public interface SystemInterfaceMapper extends BaseMapper<SystemInterface> {

    @Select("SELECT a.INTERFACE_ID,a.INTERFACE_URL,a.INTERCEPTION_STATUS FROM LTC_INTERFACE a")
    List<SystemInterface> listInterface();

    @Select("select c.RESOURCE_ID,c.INTERFACE_ID from LTC_RESOURCE_INTERFACE c")
    List<SystemResourceinterface>  listResourceInterface();

    @Select("select b.ROLE_ID from LTC_ROLE b")
    List<Long>  listRole();

    @Select("select c.RESOURCE_ID,c.ROLE_ID from LTC_ROLE_RESOURCE c")
    List<SystemRoleResource>  listRoleResource();


}
