package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("CH_APR_REPORT")
@KeySequence(value = "SEQ_CH_APR_REPORT")
public class ChAprReport {
    @TableId(value = "REPORT_ID", type = IdType.INPUT)
    private Integer reportId;
    private Integer checkName;
    private Integer evaluateRatingType;
    private Integer evaluateType;
    private Integer status;
    private java.util.Date endTime;
    private String polNo;
    private Integer disableLevelId;
    private String evaluationRemark;
    private Integer defineEmp;
    private Integer cfgModeId;
    private java.util.Date evaluateTime;
    private String remark;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private java.util.Date publicityStartTime;
    private java.util.Date evaluationTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private java.util.Date publicityEndTime;
    private java.util.Date fcd;
    private Integer srvModeId;
    private java.util.Date lcd;
    private Integer simpleIntelligentScore;
    private Integer treatmentType;
    private String srvModeName;
    private Integer endEmp;
    private String publicityRemark;
    private Integer fcu;
    private Integer cfgAprId;
    private String evaluateRating;
    private Integer evaluationEmp;
    private java.util.Date effTime;
    private Integer aprTotalScore;
    private String checkRemark;
    private Integer taskId;
    private Integer lcu;
    private java.util.Date publicityTime;
    private Integer publicityUser;
    private Date publicityLcd;
    private Integer publicityLcu;
}
