package com.hungraim.ltc.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.util.Date;

/**
 * 角色表，根据该表与 {@link SystemResource} 共同实现权限管理
 *
 * @author hubin
 */
@Data
@TableName("LTC_ROLE")
@KeySequence("SEQUENCE_ROLE_ID")
public class SystemRole {

   // @TableId( type = IdType.AUTO)
   @TableId(value = "ROLE_ID", type = IdType.INPUT)
    private Long roleId;
    private String roleName;
    private String status;
    private Date createdTime;
    private Date updatedTime;

}
