package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChAprOrgan;
import com.hungraim.ltc.pojo.vo.assessment.AprEmpExportVO;
import com.hungraim.ltc.pojo.vo.governance.AprEmpVO;
import com.hungraim.ltc.pojo.vo.governance.AprOrganVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface AprOrganMapper extends BaseMapper<ChAprOrgan> {
    Page<AprOrganVO> aprOrganList(Page<AprOrganVO> page, List<Long> organIds, String organName, String code);

    Page<AprEmpVO> aprEmpList(Page<AprEmpVO> page, List<Long> organIds, String organName, String realName, String tel, String certiCode, String isLock, String empType);

    List<AprEmpExportVO> aprEmpExportList(List<Long> organIds, String provincial, String city, String area, String organName, String name, String tel, String certiCode, String isLock, String empType, String groupLeader);

}
