package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.account.SrvTaskReqVO;
import com.hungraim.ltc.pojo.vo.account.SrvTaskRespVO;
import com.hungraim.ltc.pojo.vo.governance.*;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 服务计划Service
 *
 * @author czz
 */
@Service
public interface SrvTaskService {
    Page<SrvTaskVO> getSrvTaskList(Page<SrvTaskVO> page, Long srvOrganId, String disableName, String disableTel, String taskStatus);

    List<SrvTaskInfoVO> getSrvTaskInfoList(String programId);

    // mode_id  4
    void otherPlaceHandler(String programId);

    Page<OrganEmpVO> getSrvOrganEmpList(Page<OrganEmpVO> page, String organId, String name, String certiType, String certifNum);

    Page<SrvTaskDetailVO> getSrvTaskDetailList(Page<SrvTaskDetailVO> page, Integer organId, String disableName, String disableTel, String empName, String certifNum, String srvDate, Date startTime, Date endTime, String status, String modeId);

    /**
     * 新增或者修改服务计划
     */
    void addOrUpdateSrvTask(SrvTaskInfoListVO param);


    void timeAllocationSrvTask(String dateStr);

}
