package com.hungraim.ltc.system.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.disable.ChFndOrgan;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import com.hungraim.ltc.pojo.entity.system.SystemUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 用户
 * @author hubin
 */
@Mapper
public interface SystemUserMapper extends BaseMapper<SystemUser> {

    @Select("select ORGAN_ID,ORGAN_NAME from CH_FND_ORGAN")
    List<ChFndOrgan> fndAllOrgans();

    @Select("select SRV_ORGAN_ID,SRV_ORGAN_NAME from CH_SRV_ORGAN")
    List<ChSrvOrgan> srvOrganLists();


}
