package com.hungraim.ltc.system.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.pojo.entity.disable.ChFndOrgan;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import com.hungraim.ltc.pojo.entity.system.SystemUser;
import com.hungraim.ltc.system.dao.SystemUserMapper;
import com.hungraim.ltc.system.dao.SystemUserRoleMapper;
import com.hungraim.ltc.system.service.ISystemUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author hubin
 */
@Service
public class SystemUserServiceImpl extends ServiceImpl<SystemUserMapper, SystemUser> implements ISystemUserService {

    @Resource
    private SystemUserMapper userMapper;

    @Resource
    private SystemUserRoleMapper userRoleMapper;


    @Override
    public List<ChFndOrgan> fndAllOrgans() {
        return userMapper.fndAllOrgans();
    }

    @Override
    public List<ChSrvOrgan> srvOrganLists() {
        return userMapper.srvOrganLists();
    }
}
